# deb-sign

[![Build Status](https://drone.libreschool.org/api/badges/libreschool-automation/deb-sign/status.svg)](https://drone.libreschool.org/libreschool-automation/deb-sign)

Ubuntu 18.04 docker image with some packages preinstalled.
This is used to sign .deb packages.


## Build

```
docker build . -t libreschool-automation/deb-sign:latest
```

## How NOT to use

```yml
kind: pipeline
name: default

steps:
  - name: pkg_sign
    image: git.libreschool.org/libreschool-automation/rpm-sign:latest
    pull: always
    settings:
      files: my_package.deb
      sign_type: origin
      gpg_key: []
      passphrase: supersecretpassword    
```

## How to use

Seriously, don't put the GPG key or the passphrase in .drone.yml.


```yml
kind: pipeline
name: default

steps:
  - name: pkg_sign
    image: git.libreschool.org/libreschool-automation/deb-sign:latest
    pull: always
    settings:
      files: my_package.deb
      sign_type: origin
      gpg_key:
        from_secret: gpg_key
      passphrase: 
        from_secret: gpg_passphrase    
```

## Parameters


- `files` - .deb packages to sign; defaults to `*.deb`
- `sign_type` - can be 'origin', 'maint' or 'archive'; defaults to `origin`
- `gpg_key` - the gpg key (public and private)
- `passphrase` - passphrase to unlock the gpg key

